Create Or Update Embed Token
curl --request POST \
--url https://api.peachdeskai.com/api/v1/workflow/{workflow_id}/embed-token \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"allowed_domains": [
"<string>"
],
"settings": {},
"usage_limit": 123,
"expires_in_days": 30
}
'import requests
url = "https://api.peachdeskai.com/api/v1/workflow/{workflow_id}/embed-token"
payload = {
"allowed_domains": ["<string>"],
"settings": {},
"usage_limit": 123,
"expires_in_days": 30
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
allowed_domains: ['<string>'],
settings: {},
usage_limit: 123,
expires_in_days: 30
})
};
fetch('https://api.peachdeskai.com/api/v1/workflow/{workflow_id}/embed-token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/workflow/{workflow_id}/embed-token",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'allowed_domains' => [
'<string>'
],
'settings' => [
],
'usage_limit' => 123,
'expires_in_days' => 30
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/workflow/{workflow_id}/embed-token"
payload := strings.NewReader("{\n \"allowed_domains\": [\n \"<string>\"\n ],\n \"settings\": {},\n \"usage_limit\": 123,\n \"expires_in_days\": 30\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.peachdeskai.com/api/v1/workflow/{workflow_id}/embed-token")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"allowed_domains\": [\n \"<string>\"\n ],\n \"settings\": {},\n \"usage_limit\": 123,\n \"expires_in_days\": 30\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/workflow/{workflow_id}/embed-token")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"allowed_domains\": [\n \"<string>\"\n ],\n \"settings\": {},\n \"usage_limit\": 123,\n \"expires_in_days\": 30\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"token": "<string>",
"allowed_domains": [
"<string>"
],
"settings": {},
"is_active": true,
"usage_count": 123,
"usage_limit": 123,
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"embed_script": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}main
Create Or Update Embed Token
Create or update an embed token for a workflow. Each workflow can have only one active embed token.
POST
/
api
/
v1
/
workflow
/
{workflow_id}
/
embed-token
Create Or Update Embed Token
curl --request POST \
--url https://api.peachdeskai.com/api/v1/workflow/{workflow_id}/embed-token \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"allowed_domains": [
"<string>"
],
"settings": {},
"usage_limit": 123,
"expires_in_days": 30
}
'import requests
url = "https://api.peachdeskai.com/api/v1/workflow/{workflow_id}/embed-token"
payload = {
"allowed_domains": ["<string>"],
"settings": {},
"usage_limit": 123,
"expires_in_days": 30
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
allowed_domains: ['<string>'],
settings: {},
usage_limit: 123,
expires_in_days: 30
})
};
fetch('https://api.peachdeskai.com/api/v1/workflow/{workflow_id}/embed-token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/workflow/{workflow_id}/embed-token",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'allowed_domains' => [
'<string>'
],
'settings' => [
],
'usage_limit' => 123,
'expires_in_days' => 30
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/workflow/{workflow_id}/embed-token"
payload := strings.NewReader("{\n \"allowed_domains\": [\n \"<string>\"\n ],\n \"settings\": {},\n \"usage_limit\": 123,\n \"expires_in_days\": 30\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.peachdeskai.com/api/v1/workflow/{workflow_id}/embed-token")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"allowed_domains\": [\n \"<string>\"\n ],\n \"settings\": {},\n \"usage_limit\": 123,\n \"expires_in_days\": 30\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/workflow/{workflow_id}/embed-token")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"allowed_domains\": [\n \"<string>\"\n ],\n \"settings\": {},\n \"usage_limit\": 123,\n \"expires_in_days\": 30\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"token": "<string>",
"allowed_domains": [
"<string>"
],
"settings": {},
"is_active": true,
"usage_count": 123,
"usage_limit": 123,
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"embed_script": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
SessionAuthApiKeyAuth
Interactive user session: the login JWT, sent as Authorization: Bearer <token>.
Path Parameters
Body
application/json
Response
Successful Response

